org.simpleframework.util

## Class FormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.simpleframework.util.FormatException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  LeaseException

    public class FormatException
    extends java.lang.Exception

The `FormatException` is used to create exceptions that can use a template string for the message. Each format exception will accept a string and an ordered list of variables which can be used to complete the exception message.

Author:
  Niall Gallagher
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FormatException(java.lang.String template, java.lang.Object... list)` Constructor for the `FormatException` this requires a template message and an ordered list of values that are to be inserted in to the provided template to form the error.
`FormatException(java.lang.Throwable cause, java.lang.String template, java.lang.Object... list)` Constructor for the `FormatException` this requires a template message and an ordered list of values that are to be inserted in to the provided template to form the error.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FormatException

    public FormatException(java.lang.String template,
                   java.lang.Object... list)

Constructor for the `FormatException` this requires a template message and an ordered list of values that are to be inserted in to the provided template to form the error.

Parameters:
  `template` - this is the template string to be modified
  `list` - this is the list of values that are to be inserted

#### FormatException

    public FormatException(java.lang.Throwable cause,
                   java.lang.String template,
                   java.lang.Object... list)

Constructor for the `FormatException` this requires a template message and an ordered list of values that are to be inserted in to the provided template to form the error.

Parameters:
  `cause` - this is the original cause of the exception
  `template` - this is the template string to be modified
  `list` - this is the list of values that are to be inserted